Debian Bug report logs - #599254
linux-image-2.6.36-rc5-686: icedove causes BUG when trying to open mail with very large attachments on i915

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Willi Mann <willi@wm1.at>

Date: Wed, 6 Oct 2010 09:12:04 UTC

Severity: important

Found in version 2.6.36~rc5-1~experimental.1

Fixed in version 2.6.36~rc6-1~experimental.1

Done: maximilian attems <max@stro.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599254; Package linux-2.6. (Wed, 06 Oct 2010 09:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Willi Mann <willi@wm1.at>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 06 Oct 2010 09:12:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Willi Mann <willi@wm1.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.36-rc5-686: icedove causes BUG when trying to open mail with very large attachments on i915
Date: Wed, 06 Oct 2010 09:40:00 +0200
Package: linux-2.6
Version: 2.6.36~rc5-1~experimental.1
Severity: important

When trying to open a mail with with large images (e.g. 3 images with 
4368x2912) in icedove the screen freezes and after a few seconds, a beep
 occurs (this is probably the kerneloops daemon) and the following messages 
occur in the kernel log:

Oct  6 09:19:58 hostname kernel: [  257.454598] ------------[ cut here ]------------
Oct  6 09:19:58 hostname kernel: [  257.454660] kernel BUG at /build/buildd-linux-2.6_2.6.36~rc5-1~experimental.1-i386-I9JHPF/linux-2.6-2.6.36~rc5/debian/build/source_i386_none/drivers/gpu/drm/i915/i915_gem.c:1444!
Oct  6 09:19:58 hostname kernel: [  257.454810] invalid opcode: 0000 [#1] SMP 
Oct  6 09:19:58 hostname kernel: [  257.454858] last sysfs file: /sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:00/PNP0C09:00/PNP0C0A:00/power_supply/BAT0/energy_full
Oct  6 09:19:58 hostname kernel: [  257.454975] Modules linked in: inet_diag acpi_cpufreq mperf cpufreq_powersave cpufreq_conservative cpufreq_stats cpufreq_userspace ppdev lp tun sco bridge stp bnep rfcomm l2cap crc16 bluetooth uinput fuse nfsd exportfs nfs lockd fscache nfs_acl auth_rpcgss sunrpc firewire_sbp2 loop arc4 ecb snd_hda_codec_conexant snd_hda_intel iwlagn snd_hda_codec iwlcore snd_hwdep thinkpad_acpi snd_pcm_oss snd_mixer_oss snd_pcm pcmcia r852 sm_common nand nand_ids nand_ecc snd_seq_midi mac80211 parport_pc snd_rawmidi mtd parport snd_seq_midi_event cfg80211 yenta_socket pcmcia_rsrc pcmcia_core snd_seq snd_timer snd_seq_device psmouse joydev snd tpm_tis tpm soundcore i2c_i801 wmi rfkill battery evdev serio_raw ac processor snd_page_alloc tpm_bios nvram ext3 jbd mbcache netconsole configfs hid_cherry usbhid hid sg sd_mod crc_t10dif sr_mod cdrom i915 ahci libahci drm_kms_helper uhci_hcd sdhci_pci sdhci libata drm ehci_hcd i2c_algo_bit i2c_core scsi_mod mmc_core
  firewire_ohci video led_class firewire
Oct  6 09:19:58 hostname kernel: _core crc_itu_t thermal usbcore thermal_sys output e1000e nls_base button [last unloaded: scsi_wait_scan]
Oct  6 09:19:58 hostname kernel: [  257.456386] 
Oct  6 09:19:58 hostname kernel: [  257.456406] Pid: 1841, comm: Xorg Not tainted 2.6.36-rc5-686 #1 208252G/208252G
Oct  6 09:19:58 hostname kernel: [  257.456478] EIP: 0060:[<f8a98e48>] EFLAGS: 00213246 CPU: 0
Oct  6 09:19:58 hostname kernel: [  257.456549] EIP is at i915_gem_object_put_pages+0x13/0xb2 [i915]
Oct  6 09:19:58 hostname kernel: [  257.456608] EAX: f4912302 EBX: f49123c0 ECX: 00000001 EDX: 00000001
Oct  6 09:19:58 hostname kernel: [  257.456669] ESI: f6a39c00 EDI: f73c2000 EBP: 00000001 ESP: f6445dec
Oct  6 09:19:58 hostname kernel: [  257.456730]  DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Oct  6 09:19:58 hostname kernel: [  257.456783] Process Xorg (pid: 1841, ti=f6444000 task=f692dac0 task.ti=f6444000)
Oct  6 09:19:58 hostname kernel: [  257.456853] Stack:
Oct  6 09:19:58 hostname kernel: [  257.456875]  f49123c0 f6a39c00 f73c2000 00000000 f8a99c66 f4995cc0 f6445e30 f6445e28
Oct  6 09:19:58 hostname kernel: [  257.456979] <0> f6445e30 f8a9d588 f6445e28 f73c2fd8 05000000 00001000 f73c3030 f4b2b1e8
Oct  6 09:19:58 hostname kernel: [  257.457092] <0> f4ab6c68 f4912428 f4ae52a8 f4ae5f00 f6a39c14 f6a39c00 f73c2000 f8a991e5
Oct  6 09:19:58 hostname kernel: [  257.457206] Call Trace:
Oct  6 09:19:58 hostname kernel: [  257.457252]  [<f8a99c66>] ? i915_gem_object_unbind+0x96/0x129 [i915]
Oct  6 09:19:58 hostname kernel: [  257.457332]  [<f8a9d588>] ? i915_gem_evict_something+0x311/0x359 [i915]
Oct  6 09:19:58 hostname kernel: [  257.457412]  [<f8a991e5>] ? i915_gem_object_bind_to_gtt+0x1dc/0x261 [i915]
Oct  6 09:19:58 hostname kernel: [  257.457494]  [<f8a9954d>] ? i915_gem_mmap_gtt_ioctl+0x180/0x1ad [i915]
Oct  6 09:19:58 hostname kernel: [  257.457577]  [<f893972b>] ? drm_ioctl+0x224/0x2d5 [drm]
Oct  6 09:19:58 hostname kernel: [  257.457646]  [<f8a993cd>] ? i915_gem_mmap_gtt_ioctl+0x0/0x1ad [i915]
Oct  6 09:19:58 hostname kernel: [  257.457712]  [<c1008b8b>] ? restore_i387_fxsave+0x5c/0x6d
Oct  6 09:19:58 hostname kernel: [  257.457781]  [<f8939507>] ? drm_ioctl+0x0/0x2d5 [drm]
Oct  6 09:19:58 hostname kernel: [  257.457833]  [<c10c11ad>] ? do_vfs_ioctl+0x49e/0x4e9
Oct  6 09:19:58 hostname kernel: [  257.457883]  [<c1008f15>] ? restore_i387_xstate+0x19e/0x1d5
Oct  6 09:19:58 hostname kernel: [  257.457939]  [<c10b655e>] ? fsnotify_access+0x49/0x50
Oct  6 09:19:58 hostname kernel: [  257.457987]  [<c10c123c>] ? sys_ioctl+0x44/0x64
Oct  6 09:19:58 hostname kernel: [  257.458034]  [<c1002f1f>] ? sysenter_do_call+0x12/0x28
Oct  6 09:19:58 hostname kernel: [  257.458084] Code: 00 00 00 89 d8 ff b1 80 00 00 00 b9 01 00 00 00 e8 b3 fc ff ff 5b 5b c3 55 57 56 53 89 c3 8b 68 38 8a 40 71 c1 ed 0c a8 0c 75 04 <0f> 0b eb fe 88 c2 83 e2 03 80 fa 02 75 04 0f 0b eb fe 88 c2 83 
Oct  6 09:19:58 hostname kernel: [  257.458295] EIP: [<f8a98e48>] i915_gem_object_put_pages+0x13/0xb2 [i915] SS:ESP 0068:f6445dec

I haven't tested yet whether this problem also occurs in the squeeze kernel. 
Also, this problem is not an "always" problem so far, because after a reboot,
the second attempt to open the mail succeeded. 

-- Package-specific info:
** Version:
Linux version 2.6.36-rc5-686 (Debian 2.6.36~rc5-1~experimental.1) (ben@decadent.org.uk) (gcc version 4.4.5 20100902 (prerelease) (Debian 4.4.4-13) ) #1 SMP Sat Sep 25 14:49:01 UTC 2010

** Command line:
BOOT_IMAGE=/boot/vmlinuz-2.6.36-rc5-686 root=UUID=03db9303-638d-4e66-94c9-4e72f668620e ro loglevel=8 no_console_suspend

** Not tainted

** Kernel log:
[   13.453766] iwlagn: Copyright(c) 2003-2010 Intel Corporation
[   13.456708] iwlagn 0000:03:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[   13.459589] iwlagn 0000:03:00.0: setting latency timer to 64
[   13.462509] iwlagn 0000:03:00.0: Detected Intel(R) Ultimate N WiFi Link 5300 AGN, REV=0x24
[   13.483584] iwlagn 0000:03:00.0: device EEPROM VER=0x11e, CALIB=0x4
[   13.486405] iwlagn 0000:03:00.0: Tunable channels: 13 802.11bg, 24 802.11a channels
[   13.489262] iwlagn 0000:03:00.0: irq 47 for MSI/MSI-X
[   13.508441] yenta_cardbus 0000:15:00.0: CardBus bridge found [17aa:20c6]
[   13.549312] thinkpad_acpi: ThinkPad ACPI Extras v0.24
[   13.551910] thinkpad_acpi: http://ibm-acpi.sf.net/
[   13.554470] thinkpad_acpi: ThinkPad BIOS 6FET43WW (1.13 ), EC 7VHT12WW-1.01
[   13.557045] thinkpad_acpi: Lenovo ThinkPad T500, model 208252G
[   13.580285] thinkpad_acpi: detected a 8-level brightness capable ThinkPad
[   13.583432] thinkpad_acpi: radio switch found; radios are disabled
[   13.588745] thinkpad_acpi: rfkill switch tpacpi_bluetooth_sw: radio is blocked
[   13.593933] thinkpad_acpi: rfkill switch tpacpi_wwan_sw: radio is blocked
[   13.597019] Registered led device: tpacpi::thinklight
[   13.599634] Registered led device: tpacpi::power
[   13.602008] Registered led device: tpacpi::standby
[   13.604360] Registered led device: tpacpi::thinkvantage
[   13.610708] thinkpad_acpi: Standard ACPI backlight interface available, not loading native one.
[   13.613365] thinkpad_acpi: Console audio control enabled, mode: monitor (read only)
[   13.617234] input: ThinkPad Extra Buttons as /devices/platform/thinkpad_acpi/input/input8
[   13.652893] yenta_cardbus 0000:15:00.0: ISA IRQ mask 0x0c38, PCI irq 16
[   13.655113] yenta_cardbus 0000:15:00.0: Socket status: 30000006
[   13.657275] yenta_cardbus 0000:15:00.0: pcmcia: parent PCI bridge window: [io  0x4000-0x7fff]
[   13.659460] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x4000-0x7fff: excluding 0x4000-0x40ff 0x4400-0x44ff
[   13.677299] yenta_cardbus 0000:15:00.0: pcmcia: parent PCI bridge window: [mem 0xf4800000-0xf7ffffff]
[   13.679399] pcmcia_socket pcmcia_socket0: cs: memory probe 0xf4800000-0xf7ffffff: excluding 0xf4800000-0xf4b7ffff
[   13.681585] yenta_cardbus 0000:15:00.0: pcmcia: parent PCI bridge window: [mem 0xf0000000-0xf3ffffff 64bit pref]
[   13.683740] pcmcia_socket pcmcia_socket0: cs: memory probe 0xf0000000-0xf3ffffff: excluding 0xf0000000-0xf3ffffff
[   13.686300] r852 0000:15:00.5: PCI INT C -> GSI 18 (level, low) -> IRQ 18
[   13.689486] r852: driver loaded succesfully
[   13.966965] HDA Intel 0000:00:1b.0: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[   13.969329] HDA Intel 0000:00:1b.0: irq 48 for MSI/MSI-X
[   13.971844] HDA Intel 0000:00:1b.0: setting latency timer to 64
[   13.980668] Synaptics Touchpad, model: 1, fw: 7.0, id: 0x1c0b1, caps: 0xd04791/0xb00000/0x20000
[   13.982743] serio: Synaptics pass-through port at isa0060/serio1/input0
[   14.027061] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input9
[   14.029862] iwlagn 0000:03:00.0: loaded firmware version 8.24.2.12
[   14.055288] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/input/input10
[   14.061106] input: HDA Intel Mic as /devices/pci0000:00/0000:00:1b.0/sound/card0/input11
[   14.063206] input: HDA Intel Mic as /devices/pci0000:00/0000:00:1b.0/sound/card0/input12
[   14.065185] input: HDA Intel Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card0/input13
[   14.067193] input: HDA Intel Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card0/input14
[   14.086462] phy0: Selected rate control algorithm 'iwl-agn-rs'
[   14.608379] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x100-0x3af: clean.
[   14.611540] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x3e0-0x4ff: excluding 0x3f8-0x3ff 0x4d0-0x4d7
[   14.613958] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x820-0x8ff: clean.
[   14.616232] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xc00-0xcf7: clean.
[   14.618919] pcmcia_socket pcmcia_socket0: cs: memory probe 0x0c0000-0x0fffff: excluding 0xc0000-0xd3fff 0xdc000-0xfffff
[   14.620903] pcmcia_socket pcmcia_socket0: cs: memory probe 0xa0000000-0xa0ffffff: clean.
[   14.622773] pcmcia_socket pcmcia_socket0: cs: memory probe 0x60000000-0x60ffffff: excluding 0x60000000-0x60ffffff
[   14.624722] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xa00-0xaff: clean.
[   16.459315] Adding 2245284k swap on /dev/sda8.  Priority:-1 extents:1 across:2245284k 
[   16.965827] EXT3-fs (sda5): using internal journal
[   17.073137] loop: module loaded
[   18.467729] EXT3-fs: barriers not enabled
[   18.469853] kjournald starting.  Commit interval 5 seconds
[   18.470157] EXT3-fs (sda7): using internal journal
[   18.470161] EXT3-fs (sda7): mounted filesystem with ordered data mode
[   18.512285] EXT3-fs: barriers not enabled
[   18.514390] kjournald starting.  Commit interval 5 seconds
[   18.516291] EXT3-fs (sda6): using internal journal
[   18.518095] EXT3-fs (sda6): mounted filesystem with ordered data mode
[   19.184049] eth0: no IPv6 routers present
[   19.847735] IBM TrackPoint firmware: 0x0e, buttons: 3/3
[   20.079779] input: TPPS/2 IBM TrackPoint as /devices/platform/i8042/serio1/serio2/input/input15
[   20.500574] RPC: Registered udp transport module.
[   20.502411] RPC: Registered tcp transport module.
[   20.504220] RPC: Registered tcp NFSv4.1 backchannel transport module.
[   20.588035] FS-Cache: Loaded
[   20.636774] FS-Cache: Netfs 'nfs' registered for caching
[   20.861220] Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
[   21.518119] fuse init (API version 7.15)
[   23.163301] svc: failed to register lockdv1 RPC service (errno 97).
[   23.166103] NFSD: Using /var/lib/nfs/v4recovery as the NFSv4 state recovery directory
[   23.205509] NFSD: starting 90-second grace period
[   23.423596] input: ACPI Virtual Keyboard Device as /devices/virtual/input/input16
[   29.673397] apm: BIOS not found.
[   30.303955] Bluetooth: Core ver 2.15
[   30.306834] NET: Registered protocol family 31
[   30.309958] Bluetooth: HCI device and connection manager initialized
[   30.312767] Bluetooth: HCI socket layer initialized
[   30.354344] Bluetooth: L2CAP ver 2.15
[   30.356983] Bluetooth: L2CAP socket layer initialized
[   30.365166] Bluetooth: RFCOMM TTY layer initialized
[   30.368173] Bluetooth: RFCOMM socket layer initialized
[   30.370724] Bluetooth: RFCOMM ver 1.11
[   30.527390] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   30.529934] Bluetooth: BNEP filters: protocol multicast
[   30.573911] Bridge firewalling registered
[   30.684197] Bluetooth: SCO (Voice Link) ver 0.6
[   30.686656] Bluetooth: SCO socket layer initialized
[   32.457405] tun: Universal TUN/TAP device driver, 1.6
[   32.457419] tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
[   32.457891] tun0: Disabled Privacy Extensions
[   35.287798] lp0: using parport0 (interrupt-driven).
[   35.336294] ppdev: user-space parallel port driver
[   36.525143] tun1: Disabled Privacy Extensions

** Model information
not available

** Loaded modules:
Module                  Size  Used by
inet_diag               6249  1 
acpi_cpufreq            4969  1 
mperf                   1179  1 acpi_cpufreq
cpufreq_powersave        682  0 
cpufreq_conservative     7680  0 
cpufreq_stats           2249  0 
cpufreq_userspace       1703  0 
ppdev                   4724  0 
lp                      6372  0 
tun                    10078  4 
sco                     6260  2 
bridge                 52346  0 
stp                     1463  1 bridge
bnep                    8125  2 
rfcomm                 25684  0 
l2cap                  27133  6 bnep,rfcomm
crc16                   1303  1 l2cap
bluetooth              43719  6 sco,bnep,rfcomm,l2cap
uinput                  5215  1 
fuse                   51103  1 
nfsd                  199291  13 
exportfs                3005  1 nfsd
nfs                   212885  0 
lockd                  54529  2 nfsd,nfs
fscache                34758  1 nfs
nfs_acl                 1949  2 nfsd,nfs
auth_rpcgss            28080  2 nfsd,nfs
sunrpc                162016  14 nfsd,nfs,lockd,nfs_acl,auth_rpcgss
firewire_sbp2          10257  0 
loop                   11049  0 
arc4                    1057  2 
ecb                     1475  2 
snd_hda_codec_conexant    25495  1 
snd_hda_intel          18809  6 
pcmcia                 27658  0 
snd_hda_codec          72963  2 snd_hda_codec_conexant,snd_hda_intel
snd_hwdep               4404  1 snd_hda_codec
snd_pcm_oss            28028  0 
snd_mixer_oss          10666  1 snd_pcm_oss
r852                    7846  0 
snd_pcm                57791  4 snd_hda_intel,snd_hda_codec,snd_pcm_oss
thinkpad_acpi          52882  0 
yenta_socket           16372  0 
iwlagn                 97885  0 
iwlcore                72508  1 iwlagn
mac80211              153283  2 iwlagn,iwlcore
tpm_tis                 6322  0 
sm_common               3125  1 r852
psmouse                42525  0 
snd_seq_midi            3990  0 
tpm                    11593  1 tpm_tis
pcmcia_rsrc             8159  1 yenta_socket
nand                   28949  2 r852,sm_common
tpm_bios                4217  1 tpm
pcmcia_core            11790  3 pcmcia,yenta_socket,pcmcia_rsrc
snd_rawmidi            15692  1 snd_seq_midi
snd_seq_midi_event      5101  1 snd_seq_midi
snd_seq                38564  2 snd_seq_midi,snd_seq_midi_event
nand_ids                2911  1 nand
cfg80211              112890  3 iwlagn,iwlcore,mac80211
rfkill                 13642  4 bluetooth,thinkpad_acpi,cfg80211
snd_timer              14801  3 snd_pcm,snd_seq
snd_seq_device          4816  3 snd_seq_midi,snd_rawmidi,snd_seq
joydev                  7241  0 
wmi                     7516  0 
serio_raw               3186  0 
snd                    44352  22 snd_hda_codec_conexant,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,thinkpad_acpi,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
i2c_i801                6857  0 
snd_page_alloc          6252  2 snd_hda_intel,snd_pcm
evdev                   5830  31 
soundcore               5135  1 snd
nvram                   5296  1 thinkpad_acpi
nand_ecc                3654  1 nand
parport_pc             17138  1 
parport                26678  3 ppdev,lp,parport_pc
mtd                    15912  2 sm_common,nand
battery                 4628  0 
ac                      1846  0 
processor              25572  3 acpi_cpufreq
ext3                   96758  3 
jbd                    37779  1 ext3
mbcache                 5364  1 ext3
netconsole              5501  0 
configfs               18563  2 netconsole
hid_cherry              1094  0 
usbhid                 28629  0 
hid                    55221  2 hid_cherry,usbhid
sg                     16697  0 
sr_mod                 11449  0 
sd_mod                 24807  5 
cdrom                  28526  1 sr_mod
crc_t10dif              1195  1 sd_mod
i915                  251182  2 
ahci                   17029  0 
libahci                16259  6 ahci
libata                143480  2 ahci,libahci
drm_kms_helper         24846  1 i915
uhci_hcd               16189  0 
drm                   151761  3 i915,drm_kms_helper
ehci_hcd               28687  0 
sdhci_pci               5328  0 
sdhci                  13100  1 sdhci_pci
i2c_algo_bit            3806  1 i915
i2c_core               18487  5 i2c_i801,i915,drm_kms_helper,drm,i2c_algo_bit
firewire_ohci          19678  0 
scsi_mod              152804  5 firewire_sbp2,sg,sr_mod,sd_mod,libata
video                  16927  1 i915
mmc_core               54217  1 sdhci
usbcore               115797  4 usbhid,uhci_hcd,ehci_hcd
e1000e                106332  0 
firewire_core          40775  2 firewire_sbp2,firewire_ohci
crc_itu_t               1335  1 firewire_core
led_class               2285  2 thinkpad_acpi,sdhci
thermal                10420  0 
thermal_sys            11176  3 processor,video,thermal
button                  4454  1 i915
output                  1639  1 video
nls_base                5877  1 usbcore

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub [8086:2a40] (rev 07)
	Subsystem: Lenovo Device [17aa:20e0]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device [17aa:2114]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 46
	Region 0: Memory at f4400000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at 1800 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:02.1 Display controller [0380]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a43] (rev 07)
	Subsystem: Lenovo Device [17aa:2114]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at f4200000 (64-bit, non-prefetchable) [size=1M]
	Capabilities: <access denied>

00:03.0 Communication controller [0780]: Intel Corporation Mobile 4 Series Chipset MEI Controller [8086:2a44] (rev 07)
	Subsystem: Lenovo Device [17aa:20e6]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
	Latency: 0
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at fc226800 (64-bit, non-prefetchable) [size=16]
	Capabilities: <access denied>

00:19.0 Ethernet controller [0200]: Intel Corporation 82567LM Gigabit Network Connection [8086:10f5] (rev 03)
	Subsystem: Lenovo Device [17aa:20ee]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 44
	Region 0: Memory at fc000000 (32-bit, non-prefetchable) [size=128K]
	Region 1: Memory at fc025000 (32-bit, non-prefetchable) [size=4K]
	Region 2: I/O ports at 1840 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: e1000e

00:1a.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 [8086:2937] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Lenovo Device [17aa:20f0]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 4: I/O ports at 1860 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 [8086:2938] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Lenovo Device [17aa:20f0]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at 1880 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 [8086:2939] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Lenovo Device [17aa:20f0]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 22
	Region 4: I/O ports at 18a0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 [8086:293c] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Lenovo Device [17aa:20f1]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 23
	Region 0: Memory at fc226c00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio Controller [8086:293e] (rev 03)
	Subsystem: Lenovo Device [17aa:20f2]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 48
	Region 0: Memory at fc020000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 [8086:2940] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00008000-00008fff
	Memory behind bridge: 7f000000-7f1fffff
	Prefetchable memory behind bridge: 000000007f200000-000000007f3fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.1 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 [8086:2942] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00009000-00009fff
	Memory behind bridge: f4300000-f43fffff
	Prefetchable memory behind bridge: 000000007f400000-000000007f5fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.3 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 [8086:2946] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=05, subordinate=0c, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: f8000000-f9ffffff
	Prefetchable memory behind bridge: 00000000f4000000-00000000f40fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.4 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 5 [8086:2948] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=0d, subordinate=14, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: fa000000-fbffffff
	Prefetchable memory behind bridge: 00000000f4100000-00000000f41fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 [8086:2934] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Lenovo Device [17aa:20f0]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 4: I/O ports at 18c0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 [8086:2935] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Lenovo Device [17aa:20f0]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 17
	Region 4: I/O ports at 18e0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 [8086:2936] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Lenovo Device [17aa:20f0]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at 1c00 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 [8086:293a] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Lenovo Device [17aa:20f1]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 19
	Region 0: Memory at fc227000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev 93) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=15, subordinate=18, sec-latency=32
	I/O behind bridge: 00004000-00007fff
	Memory behind bridge: f4800000-f7ffffff
	Prefetchable memory behind bridge: 00000000f0000000-00000000f3ffffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation ICH9M-E LPC Interface Controller [8086:2917] (rev 03)
	Subsystem: Lenovo Device [17aa:20f5]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 SATA controller [0106]: Intel Corporation ICH9M/M-E SATA AHCI Controller [8086:2929] (rev 03) (prog-if 01 [AHCI 1.0])
	Subsystem: Lenovo Device [17aa:20f8]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 45
	Region 0: I/O ports at 1c48 [size=8]
	Region 1: I/O ports at 183c [size=4]
	Region 2: I/O ports at 1c40 [size=8]
	Region 3: I/O ports at 1838 [size=4]
	Region 4: I/O ports at 1c20 [size=32]
	Region 5: Memory at fc226000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 82801I (ICH9 Family) SMBus Controller [8086:2930] (rev 03)
	Subsystem: Lenovo Device [17aa:20f9]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at fc227400 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 1c60 [size=32]
	Kernel driver in use: i801_smbus

03:00.0 Network controller [0280]: Intel Corporation Ultimate N WiFi Link 5300 [8086:4236]
	Subsystem: Intel Corporation Device [8086:1011]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 47
	Region 0: Memory at f4300000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: iwlagn

15:00.0 CardBus bridge [0607]: Ricoh Co Ltd RL5c476 II [1180:0476] (rev ba)
	Subsystem: Lenovo Device [17aa:20c6]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f4800000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=15, secondary=16, subordinate=17, sec-latency=176
	Memory window 0: f0000000-f3fff000 (prefetchable)
	Memory window 1: 80000000-83fff000
	I/O window 0: 00004000-000040ff
	I/O window 1: 00004400-000044ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus

15:00.1 FireWire (IEEE 1394) [0c00]: Ricoh Co Ltd R5C832 IEEE 1394 Controller [1180:0832] (rev 04) (prog-if 10 [OHCI])
	Subsystem: Lenovo Device [17aa:20c7]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (500ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at f4801000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci

15:00.2 SD Host controller [0805]: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter [1180:0822] (rev 21)
	Subsystem: Lenovo Device [17aa:20c8]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at f4801800 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sdhci-pci

15:00.4 System peripheral [0880]: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter [1180:0592] (rev 11)
	Subsystem: Lenovo ThinkPad T61 [17aa:20ca]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin C routed to IRQ 11
	Region 0: Memory at f4802000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>

15:00.5 System peripheral [0880]: Ricoh Co Ltd xD-Picture Card Controller [1180:0852] (rev 11)
	Subsystem: Lenovo Device [17aa:20cb]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at f4802400 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: r852


** USB devices:
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 002: ID 08ff:2810 AuthenTec, Inc. AES2810
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 005: ID 045e:00f6 Microsoft Corp. 
Bus 001 Device 004: ID 046a:0004 Cherry GmbH CyBoard Keyboard
Bus 001 Device 003: ID 04b3:4485 IBM Corp. Serial Converter
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.36-rc5-686 (SMP w/2 CPU cores)
Locale: LANG=de_AT.UTF-8, LC_CTYPE=de_AT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.36-rc5-686 depends on:
ii  debconf [deb 1.5.35                      Debian configuration management sy
ii  initramfs-to 0.98.4                      tools for generating an initramfs
ii  linux-base   2.6.36~rc5-1~experimental.1 Linux image base package
ii  module-init- 3.12-1                      tools for managing Linux kernel mo

Versions of packages linux-image-2.6.36-rc5-686 recommends:
ii  firmware-lin 2.6.36~rc5-1~experimental.1 Binary firmware for various driver
ii  libc6-i686   2.11.2-6                    Embedded GNU C Library: Shared lib

Versions of packages linux-image-2.6.36-rc5-686 suggests:
ii  grub                          0.97-63    GRand Unified Bootloader (dummy pa
pn  linux-doc-2.6.36              <none>     (no description available)

Versions of packages linux-image-2.6.36-rc5-686 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
ii  firmware-iwlwifi              0.26       Binary firmware for Intel Wireless
pn  firmware-linux                <none>     (no description available)
ii  firmware-linux-nonfree        0.26       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.36-rc5-686/postinst/missing-firmware-2.6.36-rc5-686:
  linux-image-2.6.36-rc5-686/postinst/depmod-error-initrd-2.6.36-rc5-686: false
  linux-image-2.6.36-rc5-686/prerm/removing-running-kernel-2.6.36-rc5-686: true
  linux-image-2.6.36-rc5-686/postinst/ignoring-do-bootloader-2.6.36-rc5-686:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599254; Package linux-2.6. (Wed, 06 Oct 2010 11:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 06 Oct 2010 11:09:06 GMT) Full text and rfc822 format available.

Message #10 received at 599254@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Willi Mann <willi@wm1.at>, 599254@bugs.debian.org
Subject: Re: Bug#599254: linux-image-2.6.36-rc5-686: icedove causes BUG when trying to open mail with very large attachments on i915
Date: Wed, 06 Oct 2010 12:06:57 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2010-10-06 at 09:40 +0200, Willi Mann wrote:
> Package: linux-2.6
> Version: 2.6.36~rc5-1~experimental.1
> Severity: important
> 
> When trying to open a mail with with large images (e.g. 3 images with 
> 4368x2912) in icedove the screen freezes and after a few seconds, a beep
>  occurs (this is probably the kerneloops daemon) and the following messages 
> occur in the kernel log:

Please report this upstream at <https://bugs.freedesktop.org> under
product 'DRI', component 'DRM/Intel'.   Let us know the bug number or
URL so we can track it.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599254; Package linux-2.6. (Wed, 06 Oct 2010 11:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 06 Oct 2010 11:21:05 GMT) Full text and rfc822 format available.

Message #15 received at 599254@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Ben Hutchings <ben@decadent.org.uk>, 599254@bugs.debian.org
Cc: Willi Mann <willi@wm1.at>
Subject: Re: Bug#599254: linux-image-2.6.36-rc5-686: icedove causes BUG when trying to open mail with very large attachments on i915
Date: Wed, 6 Oct 2010 11:11:58 +0000
On Wed, Oct 06, 2010 at 12:06:57PM +0100, Ben Hutchings wrote:
> On Wed, 2010-10-06 at 09:40 +0200, Willi Mann wrote:
> > Package: linux-2.6
> > Version: 2.6.36~rc5-1~experimental.1
> > Severity: important
> > 
> > When trying to open a mail with with large images (e.g. 3 images with 
> > 4368x2912) in icedove the screen freezes and after a few seconds, a beep
> >  occurs (this is probably the kerneloops daemon) and the following messages 
> > occur in the kernel log:
> 
> Please report this upstream at <https://bugs.freedesktop.org> under
> product 'DRI', component 'DRM/Intel'.   Let us know the bug number or
> URL so we can track it.

it could very well be fixed in rc6 please test that first, thanks.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599254; Package linux-2.6. (Wed, 06 Oct 2010 11:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Willi Mann <willi@wm1.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 06 Oct 2010 11:27:05 GMT) Full text and rfc822 format available.

Message #20 received at 599254@bugs.debian.org (full text, mbox):

From: Willi Mann <willi@wm1.at>
To: maximilian attems <max@stro.at>
Cc: 599254@bugs.debian.org
Subject: Re: Bug#599254: linux-image-2.6.36-rc5-686: icedove causes BUG when trying to open mail with very large attachments on i915
Date: Wed, 06 Oct 2010 13:24:01 +0200
Am 2010-10-06 13:11, schrieb maximilian attems:
> it could very well be fixed in rc6 please test that first, thanks.

Hi!

Is the i386 version of rc6 already somewhere available? The offical ones
are currently waiting in NEW.

thanks
WM




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599254; Package linux-2.6. (Mon, 11 Oct 2010 10:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Willi Mann <willi@wm1.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 11 Oct 2010 10:03:10 GMT) Full text and rfc822 format available.

Message #25 received at 599254@bugs.debian.org (full text, mbox):

From: Willi Mann <willi@wm1.at>
To: maximilian attems <max@stro.at>
Cc: Ben Hutchings <ben@decadent.org.uk>, 599254@bugs.debian.org
Subject: Re: Bug#599254: linux-image-2.6.36-rc5-686: icedove causes BUG when trying to open mail with very large attachments on i915
Date: Mon, 11 Oct 2010 12:01:09 +0200
> it could very well be fixed in rc6 please test that first, thanks.
> 
Yes, it seems so. At least I could not reproduce it with rc6.

WM




Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. (Mon, 11 Oct 2010 12:15:07 GMT) Full text and rfc822 format available.

Notification sent to Willi Mann <willi@wm1.at>:
Bug acknowledged by developer. (Mon, 11 Oct 2010 12:15:07 GMT) Full text and rfc822 format available.

Message #30 received at 599254-done@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: 599254-done@bugs.debian.org
Subject: Re: Bug#599254: linux-image-2.6.36-rc5-686: icedove causes BUG when trying to open mail with very large attachments on i915
Date: Mon, 11 Oct 2010 12:03:23 +0000
Version: 2.6.36~rc6-1~experimental.1

On Mon, Oct 11, 2010 at 12:01:09PM +0200, Willi Mann wrote:
> 
> > it could very well be fixed in rc6 please test that first, thanks.
> > 
> Yes, it seems so. At least I could not reproduce it with rc6.
> 
> WM

thanks for feedback, closing with aboves version.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Jan 2011 07:41:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:04:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.